import java.util.ArrayList; 
import java.util.Iterator;

/**
 ArrayListの動作サンプル for JDK5
 */
public class Sample{
	/**
	リストの作成
	*/
	static ArrayList<Student> a=new ArrayList<Student>();

	/**
	リストの内容を表示，とりあえず名前と数学の点数のみ．
	*/
	static void print(){
		for(int i=0; i<a.size(); i++){ // Cと同様のループ
			Student s=a.get(i); // 取り出す際，キャストは不必要
			System.out.print(s.name+" "); // 名前を列挙．
		}
		System.out.println();

		for(Iterator<Student> i=a.iterator(); i.hasNext(); ){
			Student s=i.next(); // 取り出す際，キャストは不必要
			System.out.print(s.math+" "); // 数学の点でも・・・
		}
		System.out.println();
		
		// JDK5以降の書き方
		for(Student s: a){
			System.out.print(s.eng+" ");
		}
		System.out.println();
	}

	public static void main(String[] args){
		Student tanaka = new Student("tanaka", 90, 80, 20);
		Student tokuta = new Student("tokuta", 70, 60, 40);
		Student yamada = new Student("yamada", 60, 50, 50); 
		Student sasaki = new Student("sasaki", 50, 40, 60);

		a.add(tanaka);
		a.add(tokuta);
		a.add(yamada);
		a.add(sasaki);

		print();

		// リストなので同じものをaddするとそれが追加される．
		a.add(yamada);
		print();

		// 挿入も簡単，以下はゼロから数えて1個目に挿入
		a.add(1, new Student("suzuki", 80, 70, 30));

		print();

		// 削除も簡単，ゼロから3番目(yamadaさん)を削除
		a.remove(3);

		print();

	}
}
